import 'package:cpt_job_sg/modules/revise_list/revise_list_page.dart';
import 'package:cpt_job_sg/modules/revise_log/revise_log_page.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/applied_staff/applied_staff_page.dart';
import '../modules/applied_staff_detail/applied_staff_detail_page.dart';
import '../modules/applied_staff_reviews/applied_staff_reviews_page.dart';
import '../modules/job_applied/job_applied_page.dart';

class JobPageSGRouter {
  static final routes = [
    // 工作列表 （新加坡）
    // 新加坡工作列表已申请列表
    GetPage(
      name: RouterPath.JOB_LIST_APPLIED_SG,
      page: () => JobAppliedPage(),
    ),

    GetPage(
      name: RouterPath.JOB_LIST_APPLIED_STAFF_LIST_SG,
      page: () => AppliedStaffPage(),
    ),

    GetPage(
      name: RouterPath.JOB_LIST_APPLIED_STAFF_DETAIL_SG,
      page: () => AppliedStaffDetailPage(),
    ),

    GetPage(
      name: RouterPath.JOB_LIST_APPLIED_STAFF_REVIEWS_SG,
      page: () => AppliedStaffReviewsPage(),
    ),

    GetPage(
      name: RouterPath.REVISE_LIST_SG,
      page: () => ReviseListPage(),
    ),

    GetPage(
      name: RouterPath.REVISE_LOG_SG,
      page: () => ReviseLogPage(),
    ),

  ];
}
